Subject: bug#12351: 24.1; parse-colon-path turns empty paths into nil

From: Dave Abrahams <[email-masked]>
Date: Sun, 30 Dec 2012 22:08:57 -0500

on Sun Dec 30 2012, Andreas Schwab <schwab-AT-linux-m68k.org> wrote:

> Dave Abrahams <[email-masked]> writes:
>
>> The following function is buggy because of the original bug:
>>
>> (defun osx-plist-update-exec-path ()
>>   "Update `exec-path' from the PATH environment variable."
>>   (let ((path (getenv "PATH")))
>>     (mapc (lambda (dir)
>>             (add-to-list 'exec-path dir))
>>           (parse-colon-path path)))
>>   exec-path)
>
> In which way is this buggy, apart from the fact that it reverses the
> path (which has nothing to do with the behaviour of parse-colon-path)?

It puts nils in exec-path when PATH contains empty elements.

-- 
Dave Abrahams
BoostPro Computing                  Software Development        Training
http://www.boostpro.com             Clang/LLVM/EDG Compilers  C++  Boost